{% extends 'story5app/base.html' %} {% block page_title %} {{page_title}} {% endblock page_title %} {% block posts %} {% load static %}
<div class="bottom">
    <div class="outer">
        <h2 style="color: #182338;">DAFTAR MATA KULIAH</h2>
        <div class="kartu">
            {% if posts|length == 0 %}
            <h6 style="color:#182338;"><u>Belum ada mata kuliah yang terdaftar.</u></h6>
            {% else %} {% for post in posts %}
            <div class="card" style="border-radius: 20px; margin : 4px; background-color: #182338;">
                <div class="card-body" style="background-color:#eeeeee;border-radius:20px; border-color: #182338;">
                    <div class="kartu-title" style="width: 20vw; height: 2vw;display: flex">
                        <h5 class="card-title" style="margin-right: 5px;">{{post.mata_kuliah}}</h5>
                        <div class="kartu-text" style="display: flex;">
                            <p class=" card-text " style="margin-left: 25px;">{{post.tahun}}</p>
                            <p class="card-text " style="margin-left: 25px; margin-top: -20px;">{{post.semester}}</p>
                        </div>

                    </div>
                    <div style=" display: flex;justify-content: center;align-items: center; ">
                        <a href="{% url 'story5app:detail' post.id %} " class="tambah " style="border-radius: 10px; margin-right: 5px;padding: 0.5rem 1.6rem; font-size: 10px;background-color: rgb(18, 70, 83);">Details</a>
                        <a href=" {% url 'story5app:delete' post.id %} " class="tambah " style="border-radius: 50px;padding: 0.5rem 1rem; font-size: 10px; background-color: rgb(143, 97, 104);"> x </a>
                    </div>
                </div>
            </div>
            <!-- </div> -->
            {% endfor %} {% endif %}
        </div>
        <div style="margin-top: 2rem; ">
            <a href="{% url 'story5app:create' %} " class="tambah ">Create</a>
        </div>
    </div>
</div>
{% endblock posts %}